module Dynamord
    module Chain
        def self.included(base)
            base.class_eval do
                include ClassMethods
            end
        end

        module ClassMethods
            def method_missing(method_name,*params,&block)
                if block.present?
                    block = ",&#{block}"
                else
                    block = ""
                end
                params = nil if not params.present?
                class_name = self.source
                q = self.query
                class_name.send(method_name,q.merge(params[0]))
            end
        end
    end

    module Document
        def delete_all
            self.delete_table
            self.create_table
        end
    end
end
